| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iHistogramSvc Class Reference

Inheritance diagram for GaudiPython::Bindings::iHistogramSvc:

[legend]
Collaboration diagram for GaudiPython::Bindings::iHistogramSvc:

[legend]

List of all members.

## Detailed Description

Definition at line 355 of file Bindings.py.

## Public Member Functions
def | __init__
def | retrieve1D
def | retrieve2D
def | retrieve3D
def | retrieveProfile1D
def | retrieveProfile2D
def | retrieve
def | book
def | bookProf
def | __getitem__
def | getAsAIDA
def | getAsROOT

## Member Function Documentation

def GaudiPython::Bindings::iHistogramSvc::__init__ | ( |  | self,
|  |  | name,
|  |  | ihs |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iDataSvc.

Definition at line 356 of file Bindings.py.

    00356                                 :
    00357     self.__dict__['_ihs'] = InterfaceCast(gbl.IHistogramSvc)(ihs)
    00358     iDataSvc.__init__(self, name, ihs)
      def retrieve1D(self, path) :

def GaudiPython::Bindings::iHistogramSvc::retrieve1D | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 359 of file Bindings.py.

    00359                              :
    00360     return Helper.histo1D(self._ihs, path)
      def retrieve2D(self, path) :

def GaudiPython::Bindings::iHistogramSvc::retrieve2D | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 361 of file Bindings.py.

    00361                              :
    00362     return Helper.histo2D(self._ihs, path)
      def retrieve3D(self, path) :

def GaudiPython::Bindings::iHistogramSvc::retrieve3D | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 363 of file Bindings.py.

    00363                              :
    00364     return Helper.histo3D(self._ihs, path)
      def retrieveProfile1D(self, path) :

def GaudiPython::Bindings::iHistogramSvc::retrieveProfile1D | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 365 of file Bindings.py.

    00365                                     :
    00366     return Helper.profile1D(self._ihs, path)
      def retrieveProfile2D(self, path) :

def GaudiPython::Bindings::iHistogramSvc::retrieveProfile2D | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 367 of file Bindings.py.

    00367                                     :
    00368     return Helper.profile2D(self._ihs, path)
      def retrieve(self,path):

def GaudiPython::Bindings::iHistogramSvc::retrieve | ( |  | self,
|  |  | path |
| ) |  |  |

    Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
    >>> svc = ...
    >>> histo = svc.retrieve ( 'path/to/my/histogram' )

Definition at line 369 of file Bindings.py.

    00369                          :
    00370     """
    00371     Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
    00372     >>> svc = ...
    00373     >>> histo = svc.retrieve ( 'path/to/my/histogram' )
    00374     """
    00375     h = self.retrieve1D(path)
    00376     if not h : h = self.retrieve2D(path)
    00377     if not h : h = self.retrieve3D(path)
    00378     if not h : h = self.retrieveProfile1D(path)
    00379     if not h : h = self.retrieveProfile2D(path)
    00380     return h
      def book(self, *args) :

def GaudiPython::Bindings::iHistogramSvc::book | ( |  | self,
|  |  | args |
| ) |  |  |

    Book the histograms(1D,2D&3D) , see IHistogramSvc::book
    >>> svc = ...
    >>> histo = svc.book( .... )

Definition at line 381 of file Bindings.py.

    00381                         :
    00382     """
    00383     Book the histograms(1D,2D&3D) , see IHistogramSvc::book
    00384     >>> svc = ...
    00385     >>> histo = svc.book( .... )
    00386     """
    00387     return apply(self._ihs.book,args)
      def bookProf(self, *args) :

def GaudiPython::Bindings::iHistogramSvc::bookProf | ( |  | self,
|  |  | args |
| ) |  |  |

    Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
    >>> svc = ...
    >>> histo = svc.bookProf( .... )

Definition at line 388 of file Bindings.py.

    00388                             :
    00389     """
    00390     Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
    00391     >>> svc = ...
    00392     >>> histo = svc.bookProf( .... )
    00393     """
    00394     return apply(self._ihs.bookProf,args)
      def __getitem__ ( self, path ) :

def GaudiPython::Bindings::iHistogramSvc::__getitem__ | ( |  | self,
|  |  | path |
| ) |  |  |

    Retrieve the object from  Histogram Transient Store (by path)
    The reference to AIDA historam is returned (if possible)
    >>> svc = ...
    >>> histo = svc['path/to/my/histogram']

Reimplemented from GaudiPython::Bindings::iDataSvc.

Definition at line 395 of file Bindings.py.

    00395                                  :
    00396     """
    00397     Retrieve the object from  Histogram Transient Store (by path)
    00398     The reference to AIDA historam is returned (if possible)
    00399     >>> svc = ...
    00400     >>> histo = svc['path/to/my/histogram']
    00401     """
    00402     h = self.retrieve ( path )
    00403     if h : return h
    00404     return iDataSvc.__getitem__( self , path )
      def getAsAIDA ( self , path ) :

def GaudiPython::Bindings::iHistogramSvc::getAsAIDA | ( |  | self,
|  |  | path |
| ) |  |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The reference to AIDA historam is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )

Definition at line 405 of file Bindings.py.

    00405                                 :
    00406     """
    00407     Retrieve the histogram from  Histogram Transient Store (by path)
    00408     The reference to AIDA historam is returned (if possible)
    00409     >>> svc = ...
    00410     >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )
    00411     """
    00412     return self.__getitem__( path )
      def getAsROOT ( self , path ) :

def GaudiPython::Bindings::iHistogramSvc::getAsROOT | ( |  | self,
|  |  | path |
| ) |  |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The Underlying native ROOT object is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )

Definition at line 413 of file Bindings.py.

    00413                                 :
    00414     """
    00415     Retrieve the histogram from  Histogram Transient Store (by path)
    00416     The Underlying native ROOT object is returned (if possible)
    00417     >>> svc = ...
    00418     >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )
    00419     """
    00420     fun=gbl.Gaudi.Utils.Aida2ROOT.aida2root
    00421     return fun( self.getAsAIDA( path ) )
    00422
    00423 #----iNTupleSvc class---------------------------------------------------------------------
    class iNTupleSvc(iDataSvc) :

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py